org.red5.server.api.stream.support

## Class DenyAllStreamAccess

- java.lang.Object
- - org.red5.server.api.stream.support.DenyAllStreamAccess

All Implemented Interfaces:
  IStreamPlaybackSecurity, IStreamPublishSecurity

    public class DenyAllStreamAccess
    extends Object
    implements IStreamPublishSecurity, IStreamPlaybackSecurity

Stream security handler that denies access to all streams.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Constructor Summary

Constructors
Constructor and Description
`DenyAllStreamAccess()`

### Method Summary

Methods
`boolean` `isPlaybackAllowed(IScope scope, String name, int start, int length, boolean flushPlaylist)` Check if playback of a stream with the given name is allowed.
`boolean` `isPublishAllowed(IScope scope, String name, String mode)` Check if publishing a stream with the given name is allowed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DenyAllStreamAccess

    public DenyAllStreamAccess()

### Method Detail

#### isPublishAllowed

    public boolean isPublishAllowed(IScope scope,
                           String name,
                           String mode)

Check if publishing a stream with the given name is allowed.

Specified by:
  `isPublishAllowed` in interface `IStreamPublishSecurity`
Parameters:
  `scope` - Scope the stream is about to be published in.
  `name` - Name of the stream to publish.
  `mode` - Publishing mode.
Returns:
  `True` if publishing is allowed, otherwise `False`

#### isPlaybackAllowed

    public boolean isPlaybackAllowed(IScope scope,
                            String name,
                            int start,
                            int length,
                            boolean flushPlaylist)

Check if playback of a stream with the given name is allowed.

Specified by:
  `isPlaybackAllowed` in interface `IStreamPlaybackSecurity`
Parameters:
  `scope` - Scope the stream is about to be played back from.
  `name` - Name of the stream to play.
  `start` - Position to start playback from (in milliseconds).
  `length` - Duration to play (in milliseconds).
  `flushPlaylist` - Flush playlist?
Returns:
  `True` if playback is allowed, otherwise `False`